// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by blueversal
ServerEvents.recipes(event => {
  event.remove({ id: 'galosphere:silver_upgrade_smithing_template' });
  event.remove({ output: 'caverns_and_chasms:silver_helmet' });
  event.remove({ output: 'caverns_and_chasms:silver_chestplate' });
  event.remove({ output: 'caverns_and_chasms:silver_leggings' });
  event.remove({ output: 'caverns_and_chasms:silver_boots' });
  event.remove({ output: 'caverns_and_chasms:silver_sword' });
  event.remove({ output: 'caverns_and_chasms:silver_pickaxe' });
  event.remove({ output: 'caverns_and_chasms:silver_axe' });
  event.remove({ output: 'caverns_and_chasms:silver_shovel' });
  event.remove({ output: 'caverns_and_chasms:silver_hoe' });
  event.remove({ output: 'caverns_and_chasms:silver_bars' });
  event.remove({ output: 'galosphere:silver_lattice' });
  event.remove({ output: 'galosphere:silver_bomb' });
});

ServerEvents.recipes(event => {
    event.shaped('galosphere:silver_upgrade_smithing_template', [
      'cCc',
      'CcC',
      'cCc'
    ], {
      C: 'galosphere:silver_ingot',
      c: '#minecraft:planks'
    }).id('galosphere:silver_upgrade_smithing_template');
  
    event.shaped('galosphere:silver_upgrade_smithing_template', [
      'cPc',
      'cCc',
      'ccc'
    ], {
      C: 'galosphere:silver_ingot',
      c: '#minecraft:planks',
      P: 'galosphere:silver_upgrade_smithing_template'
    }).result('2x galosphere:silver_upgrade_smithing_template')

    event.shaped('caverns_and_chasms:silver_helmet', [
      'SSS',
      'S S',
      '   '
    ], {
      S: 'galosphere:silver_ingot'
    });

    event.shaped('caverns_and_chasms:silver_chestplate', [
      'S S',
      'SSS',
      'SSS'
    ], {
      S: 'galosphere:silver_ingot'
    });

    event.shaped('caverns_and_chasms:silver_leggings', [
      'SSS',
      'S S',
      'S S'
    ], {
      S: 'galosphere:silver_ingot'
    });

    event.shaped('caverns_and_chasms:silver_boots', [
      '   ',
      'S S',
      'S S'
    ], {
      S: 'galosphere:silver_ingot'
    });

    event.shaped('caverns_and_chasms:silver_sword', [
      ' S ',
      ' S ',
      ' I '
    ], {
      S: 'galosphere:silver_ingot',
      I: 'minecraft:stick'
    });

    event.shaped('caverns_and_chasms:silver_pickaxe', [
      'SSS',
      ' I ',
      ' I '
    ], {
      S: 'galosphere:silver_ingot',
      I: 'minecraft:stick'
    });

    event.shaped('caverns_and_chasms:silver_axe', [
      'SS ',
      'SI ',
      ' I '
    ], {
      S: 'galosphere:silver_ingot',
      I: 'minecraft:stick'
    });

    event.shaped('caverns_and_chasms:silver_shovel', [
      ' S ',
      ' I ',
      ' I '
    ], {
      S: 'galosphere:silver_ingot',
      I: 'minecraft:stick'
    });

    event.shaped('caverns_and_chasms:silver_hoe', [
      'SS ',
      ' I ',
      ' I '
    ], {
      S: 'galosphere:silver_ingot',
      I: 'minecraft:stick'
    });

    event.shaped('galosphere:silver_lattice', [
      '   ',
      'SS ',
      'SS '
    ], {
      S: 'galosphere:silver_ingot'
    });

    event.shaped('caverns_and_chasms:silver_bars', [
      '   ',
      'SSS',
      'SSS'
    ], {
      S: 'galosphere:silver_ingot'
    });

    event.shaped('galosphere:silver_bomb', [
      ' S ',
      'SGS',
      ' S '
    ], {
      S: 'galosphere:silver_ingot',
      G: 'minecraft:gunpowder'
    });
});